Product ID
Gets all suppliers for a specific product
Gets all suppliers for a specific product
Path Parameters
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Product suppliers retrieved successfully
Product ID
Supplier Code
Supplier Name
Supplier Status (true - Enabled, false - Disabled)
Supplier Buy Ex
>= -922337203685477.6<= 922337203685477.6
Supplier SKU2
Lead Time in days
Indicates if the product supplier is a default supplier
Notes
Indicates if the product supplier is soft deleted
Path Parameters
Headers
Deletes all Product Supplier by product id
Deletes all Product Supplier by product id
Path Parameters
Product id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
Response
Product Supplier’s were deleted
Path Parameters
Headers
Bulk updates product suppliers for a specific product
Sample request:
PUT /products/123/suppliers
[
{
"supplier_code": "00",
"supplier_buy_ex": 1.1,
"supplier_sku2": "SupplierSKU2",
"lead_time": 4,
"is_default": true,
"notes": "This is a Note."
}
]
Path Parameters
Product ID
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
List of product suppliers to update
EmptyExample
Response
application/json
Response
Product suppliers updated successfully
Product ID
Supplier Code
Supplier Name
Supplier Status (true - Enabled, false - Disabled)
Supplier Buy Ex
>= -922337203685477.6<= 922337203685477.6
Supplier SKU2
Lead Time in days
Indicates if the product supplier is a default supplier
Notes
Indicates if the product supplier is soft deleted
Path Parameters
Headers
Body
Gets a specific supplier for a product
Gets a specific supplier for a product
Path Parameters
Product ID
Supplier Code
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Product supplier retrieved successfully
ProductSupplier
Product ID
Supplier Code
Supplier Name
Supplier Status (true - Enabled, false - Disabled)
Supplier Buy Ex
>= -922337203685477.6<= 922337203685477.6
Supplier SKU2
Lead Time in days
Indicates if the product supplier is a default supplier
Notes
Indicates if the product supplier is soft deleted
Path Parameters
Headers
Deletes specific Product Supplier by supplier code
Deletes specific Product Supplier by supplier code
Path Parameters
Product id
Product Supplier code
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
Response
Product Supplier was deleted